--- old/usr/src/uts/common/vm/seg_kp.c	2016-02-18 08:40:42.650399189 -0500
+++ new/usr/src/uts/common/vm/seg_kp.c	2016-02-18 08:40:42.654045579 -0500
@@ -154,7 +154,6 @@
 	SEGKP_BADOP(int),		/* setprot */
 	segkp_checkprot,
 	segkp_kluster,
-	SEGKP_BADOP(size_t),		/* swapout */
 	SEGKP_BADOP(int),		/* sync */
 	SEGKP_BADOP(size_t),		/* incore */
 	SEGKP_BADOP(int),		/* lockop */
@@ -760,15 +759,11 @@
  * stack base.  If the amount of stack remaining is questionable
  * (less than red_minavail), then segkp_map_red() will map in the redzone
  * and return 1.  Otherwise, it will return 0.  segkp_map_red() can
- * _only_ be called when:
- *
- *   - it is safe to sleep on page_create_va().
- *   - the caller is non-swappable.
+ * _only_ be called when it is safe to sleep on page_create_va().
  *
  * It is up to the caller to remember whether segkp_map_red() successfully
  * mapped the redzone, and, if so, to call segkp_unmap_red() at a later
- * time.  Note that the caller must _remain_ non-swappable until after
- * calling segkp_unmap_red().
+ * time.
  *
  * Currently, this routine is only called from pagefault() (which necessarily
  * satisfies the above conditions).
@@ -782,8 +777,6 @@
 	caddr_t stkbase;
 #endif
 
-	ASSERT(curthread->t_schedflag & TS_DONT_SWAP);
-
 	/*
 	 * Optimize for the common case where we simply return.
 	 */
@@ -884,7 +877,6 @@
 	    (uintptr_t)PAGEMASK) - PAGESIZE);
 
 	ASSERT(curthread->t_red_pp != NULL);
-	ASSERT(curthread->t_schedflag & TS_DONT_SWAP);
 
 	/*
 	 * Because we locked the mapping down, we can't simply rely
@@ -1347,20 +1339,6 @@
 }
 
 /*
- * returns size of swappable area.
- */
-size_t
-swapsize(caddr_t v)
-{
-	struct segkp_data *kpd;
-
-	if ((kpd = segkp_find(segkp, v)) != NULL)
-		return (SEGKP_MAPLEN(kpd->kp_len, kpd->kp_flags));
-	else
-		return (NULL);
-}
-
-/*
  * Dump out all the active segkp pages
  */
 static void
